/// <reference types="jquery/jquerystatic" />
import { HttpResponseModel, ODataHttpClient } from "@odata2ts/http-client-api";
import { BaseHttpClient, BaseHttpClientOptions, HttpMethods, InternalHttpClientConfig } from "@odata2ts/http-client-base";
import { AjaxRequestConfig } from "./AjaxRequestConfig";
import jqXHR = JQuery.jqXHR;
export declare const DEFAULT_ERROR_MESSAGE = "No error message!";
export interface ClientOptions extends BaseHttpClientOptions {
}
export declare class JQueryClient extends BaseHttpClient<AjaxRequestConfig> implements ODataHttpClient<AjaxRequestConfig> {
    private readonly client;
    private readonly config;
    constructor(jquery: JQueryStatic, config?: AjaxRequestConfig, clientOptions?: ClientOptions);
    protected mapHeaders(jqXhr: jqXHR): Record<string, string>;
    protected executeRequest<ResponseModel>(method: HttpMethods, url: string, data: any, requestConfig?: JQuery.AjaxSettings, internalConfig?: InternalHttpClientConfig): Promise<HttpResponseModel<ResponseModel>>;
}
