/// <reference types="jquery/misc" />
import { ODataClientError } from "@odata2ts/http-client-api";
export declare class JQueryClientError extends Error implements ODataClientError {
    readonly status: number | undefined;
    readonly headers: Record<string, string> | undefined;
    readonly cause: Error | undefined;
    readonly jqXHR: JQuery.jqXHR;
    constructor(msg: string, status: number | undefined, headers: Record<string, string> | undefined, cause: Error | undefined, jqXHR: JQuery.jqXHR);
}
